<?php
/**
 * The template to display content for main.
 *
 * This template can be overridden by copying it to
 * your-child-theme/views/main/content.php.
 *
 * @package MadeByAura\Prime
 * @author  MadeByAura.com
 *
 * @param array $args
 */

namespace MadeByAura\Prime;

defined( 'ABSPATH' ) || die();

$function_exists = function_exists( 'elementor_theme_do_location' );

if ( is_singular() ) {
	if ( ! $function_exists || ! elementor_theme_do_location( 'single' ) ) {
		Base::view( 'views/entries' );
	}
} elseif ( is_archive() || is_home() ) {
	if ( ! $function_exists || ! elementor_theme_do_location( 'archive' ) ) {
		Base::view( 'views/entries' );
	}
} elseif ( is_search() ) {
	if ( ! $function_exists || ! elementor_theme_do_location( 'archive' ) ) {
		Base::view( 'views/entries' );
	}
} else { // phpcs:ignore Universal.ControlStructures.DisallowLonelyIf.Found
	if ( ! $function_exists || ! elementor_theme_do_location( 'single' ) ) {
		Base::view( 'views/entries' );
	}
}
